import request from "@/utils/request";

/**
 * 保存路由
 * @param data
 */
export function saveGatewayRouter(data) {
    return request({
        url: `/gateway/routes`,
        method: "post",
        data: data,
    });
}


/**
 * 删除路由
 * @param id 路由id
 */
export function deleteGatewayRouter(id) {
    return request({
        url: `/gateway/routes/${id}`,
        method: "delete",
    });
}


/**
 * 查询选择器列表
 * @param data
 */
export function getGatewayRoutersList(data) {
    return request({
        url: `/gateway/routes/listOfPage`,
        method: "get",
        params: data,
    });
}


